﻿using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VisualComponents.Create3D;
using VisualComponents.UX.Ribbon;
using VisualComponents.UX.Shared;

namespace HelloWorldDemo.Ribbon
{
    [Export(typeof(IRibbonGroup))]
    [RibbonGroupMetadata(MinRows=2, MaxRows=2)]
    class HelloWorldRibbonGroup : RibbonGroupBase
    {
        [ImportingConstructor]
        public HelloWorldRibbonGroup([Import]ILocalizationService localizationService)
            :base(localizationService)
        {
        }

        public override string Header
        {
            get { return "Hello Group"; }
        }

        public override string Icon
        {
            get { return String.Empty; }
        }

        public override string Id
        {
            get { return "HelloWorldRibbonGroupId"; }
        }
    }
}
